clan::SoundProviderType Class Reference - ClanLib SDK
Description: clan::SoundProviderType Class Reference

Public Member Functions | List of all members
clan::SoundProviderType Class Referenceabstract
clanSound Sound Providers

Sound provider type. More...

`#include <soundprovider_type.h>`

Inheritance diagram for clan::SoundProviderType:

## Public Member Functions
| SoundProviderType (const std::string &type)
| Registers a sound provider type in the SoundProviderFactory.
virtual | ~SoundProviderType ()
| Unregisters a sound provider type in the SoundProviderFactory.
virtual std::unique_ptr< SoundProvider > | load (const std::string &filename, bool streamed, const FileSystem &file_system)=0
| Called to load with this sound provider type.
virtual std::unique_ptr< SoundProvider > | load (IODevice &file, bool streamed)=0

## Detailed Description

Sound provider type.

## Constructor & Destructor Documentation

## ◆ SoundProviderType()

clan::SoundProviderType::SoundProviderType | ( | const std::string & | type | ) |

Registers a sound provider type in the SoundProviderFactory.

Referenced by clan::SoundProviderType_Register< SoundProviderClass >::SoundProviderType_Register().

## ◆ ~SoundProviderType()

virtual clan::SoundProviderType::~SoundProviderType | ( |  | ) |
| virtual

Unregisters a sound provider type in the SoundProviderFactory.

## Member Function Documentation

## ◆ load() [1/2]

virtual std::unique_ptr< SoundProvider > clan::SoundProviderType::load | ( | const std::string & | filename,
|  | bool | streamed,
|  | const FileSystem & | file_system )
| pure virtual

Called to load with this sound provider type.

Implemented in clan::SoundProviderType_Register< SoundProviderClass >.

## ◆ load() [2/2]

virtual std::unique_ptr< SoundProvider > clan::SoundProviderType::load | ( | IODevice & | file,
|  | bool | streamed )
| pure virtual

Implemented in clan::SoundProviderType_Register< SoundProviderClass >.

The documentation for this class was generated from the following file:

- soundprovider_type.h